#include <stdio.h>

int pow(int osnova, int stepen)
{
    if(stepen==0)return 1;
    else return pow(osnova, stepen-1)*osnova;
}

int main()
{
    int V,d=1,k=0;

    scanf("%d",&V);

    int br=0;

    while(V>0){
        d=1;
        k=0;
        int novcanica=0;

        int pretposlednja = 0;

        while(novcanica<=V)
        {
            pretposlednja=novcanica;
            novcanica = d*pow(10,k);
            if(d==1){
                d=2;
            }
            else if(d==2){
                d=5;
            }
            else if(d==5){
                d=1;
                k=k+1;
            }
        }
        //printf("%d ",pretposlednja);
        br = br+1;
        V=V-pretposlednja;
    }
    printf("%d",br);

    return 0;
}